<?php
require('../cfg/res.php');
require('../../_lib/vrdocu0.php');


$docur=new vrdocu0('../cfg/res.php',$_POST['docu']);

$sql_idcab='select * from '.$docur->tabla.'1 where idnum1='.$_POST['idnumx'];
$res_idcab=mysql_query($sql_idcab,$link_vcrx);



$xfec1 = date('Y-m-j');
$xfec1 = strtotime ( '-1 day' , strtotime ( $xfec1 ) ) ;
$xfec1 = date ( 'Y-m-j' , $xfec1 );
$xdcto=0;


$xfec2 = mysql_result($res_idcab,0,'fecha');
$xstat = mysql_result($res_idcab,0,'status');

$xdocu = mysql_result($res_idcab,0,'docu');

$xmodif = 1;
if ($xfec2>=$xfec1 && $xstat=="-")
{$xmodif=1;}





$sql_iddet='select max(iddet)as iddet from '.$docur->tabla.'2 where idnum2='.$_POST['idnumx'];
$res_iddet=mysql_query($sql_iddet,$link_vcrx);

$idnum2=0;
if(empty($_POST['dcto']))
{$_POST['dcto']=0;}

if(empty($_POST['ice']))
{$_POST['ice']=0;}

if(empty($_POST['iva']))
{$_POST['iva']=0;}

if(empty($_POST['irbp']))
{$_POST['irbp']=0;}

if(empty($_POST['puni']))
{$_POST['puni']=0;}

if(empty($_POST['cant']))
{$_POST['cant']=1;}

if(mysql_num_rows($res_iddet)!=0)
{$idnum2=mysql_result($res_iddet,0,'iddet');}

$idnum2++;

if(mb_stristr('cont',  strtolower($docur->tabla)))
{
	$sql_deta='insert into  '.$docur->tabla.'2 (
	idnum2,
	iddet,
	ctas,
	cant,
	detalle
	)values(
	'.$_POST['idnumx'].',
	'.$idnum2.',
	"'.$_POST['cuenta'].'",
	'.$_POST['cant'].',
	"'.$_POST['detalle'].'"
	)';

}

// echo '******'.$docur->tabla;
if(mb_stristr('vtas.clie', strtolower($docur->tabla)))
{
	$sql_cabe='select * from '.$docur->tabla.'1 where idnum1="'.$_POST['idnumx'].'"';
	$res_cabe=mysql_query($sql_cabe,$link_vcrx);
	
	$sql_dclie='select * from enti0 where enti_codigo ="'.mysql_result($res_cabe,0,'enti').'"';
	$res_dclie=mysql_query($sql_dclie,$link_vcrx);

	$sql_apuni='select * from docu0 where docu_codigo ="'.mysql_result($res_cabe,0,'docu').'"';
	$res_apuni=mysql_query($sql_apuni,$link_vcrx);

	$xcant=$_POST['cant'];
	$xpuni = $_POST['puni'];
	$xdcto=$_POST['dcto'];
	$xice=$_POST['ice'];
	$xiva=$_POST['iva'];
	$xirbp=$_POST['irbp'];
	$xapuni=mysql_result($res_apuni,0,'docu_apuni');
	

	$sql_pitem='select * from item0 where item_codigo="'.$_POST['item'].'"';
	$res_pitem=mysql_query($sql_pitem,$link_vcrx);

	if ($xapuni==1)
	{
		$xpuni = mysql_result($res_pitem,0,'item_puni');
		if(mb_stristr('vtas.clie', strtolower($docur->tabla)))
		{
		$xice = mysql_result($res_pitem,0,'item_ice');
		$xiva = mysql_result($res_pitem,0,'item_iva');
		$xirbp = mysql_result($res_pitem,0,'item_irbp');
		}
	}
	$xditem=mysql_result($res_pitem,0,'item_descri');
	
	if ($xcant==0)
	{$xcant=1;}

	if ($xdcto==0)
	{
		$xdcto=mysql_result($res_dclie,0,'enti_dcto');
		if(empty($xdcto))
		{
			$xdcto=0;
		}
	}

	if(mb_stristr($xditem,'TRANS') && $xiva==0)
	{$xdcto=0;}

	if(mb_stristr('NC.NP',substr($xdocu,0,2)))
	{$xdcto=0;}
	
	$sql_deta='insert into  '.$docur->tabla.'2 (
	idnum2,
	iddet,
	item,
	ctas,
	cant,
	puni,
	dcto,
	ice,
	iva,
	irbp,
	detalle
	)values(
	'.$_POST['idnumx'].',
	'.$idnum2.',
	"'.$_POST['item'].'",
	"'.$_POST['cuenta'].'",
	'.$xcant.',
	'.$xpuni.',
	'.$xdcto.',
	'.$xice.',
	'.$xiva.',
	'.$xirbp.',
	"'.$_POST['detalle'].'"
	)';

	echo $sql_deta;
}



if(mb_stristr('comp.prov', strtolower($docur->tabla)))
{
	$sql_cabe='select * from '.$docur->tabla.'1 where idnum1="'.$_POST['idnumx'].'"';
	$res_cabe=mysql_query($sql_cabe,$link_vcrx);
	
	//$sql_dclie='select * from enti0 where enti_codigo ="'.mysql_result($res_cabe,0,'enti').'"';
	//$res_dclie=mysql_query($sql_dclie,$link_vcrx);

	//$sql_apuni='select * from docu0 where docu_codigo ="'.mysql_result($res_cabe,0,'docu').'"';
	//$res_apuni=mysql_query($sql_apuni,$link_vcrx);

	//$sql_pitem='select * from item0 where item_codigo="'.$_POST['item'].'"';
	//$res_pitem=mysql_query($sql_pitem,$link_vcrx);

	$sql_upcomp='select * from upcomp where item="'.$_POST['item'].'" and enti ="'.mysql_result($res_cabe,0,'enti').'"' ;
	$res_upcomp=mysql_query($sql_upcomp,$link_vcrx);

	if(mysql_num_rows($res_upcomp)==0)
	{
		$sql_upcomp='select * from upcomp where item="'.$_POST['item'].'"' ;
		$res_upcomp=mysql_query($sql_upcomp,$link_vcrx);
	}

	if(mysql_num_rows($res_upcomp)==0)
	{
		$sql_upcomp='select * from upinve where item="'.$_POST['item'].'"' ;
		$res_upcomp=mysql_query($sql_upcomp,$link_vcrx);
	}



	$xcant=$_POST['cant'];
	$xpuni = $_POST['puni'];
	$xdcto=$_POST['dcto'];
	$xice=$_POST['ice'];
	$xiva=$_POST['iva'];
	$xirbp=$_POST['irbp'];
	$xctas=$_POST['cuenta'];
	$xcair=$_POST['cair'];
	//$xapuni=mysql_result($res_apuni,0,'docu_apuni');
	$xapuni=0;
	

	if(mysql_num_rows($res_upcomp)>0)
	{
	if ($xpuni==0){$xpuni = mysql_result($res_upcomp,0,'puni');}
	if ($xctas==""){$xctas = mysql_result($res_upcomp,0,'ctas');}
	if ($xcair==""){$xcair = mysql_result($res_upcomp,0,'cair');}
	}

	if ($xcant==0){$xcant=1;}
	if ($xpuni==0){$xpuni = 1;}
	if ($xctas==""){$xctas = "-";}
	if ($xcair==""){$xcair = "-";}
	
	//$xditem=mysql_result($res_pitem,0,'item_descri');

	if(mb_stristr($xditem,'TRANS') && $xiva==0)
	{$xdcto=0;}

	if(mb_stristr('NC.NP',substr($xdocu,0,2)))
	{$xdcto=0;}
	
	$sql_deta='insert into  '.$docur->tabla.'2 (
	idnum2,
	iddet,
	item,
	cant,
	puni,
	dcto,
	ice,
	iva,
	irbp,
	ctas,
	cair,
	detalle
	)values(
	'.$_POST['idnumx'].',
	'.$idnum2.',
	"'.$_POST['item'].'",
	'.$xcant.',
	'.$xpuni.',
	'.$xdcto.',
	'.$xice.',
	'.$xiva.',
	'.$xirbp.',
	"'.$xctas.'",
	"'.$xcair.'",
	"'.$_POST['detalle'].'"
	)';

echo $sql_deta;

}




if(mb_stristr('inve.prod.nomi', strtolower($docur->tabla)))
{
	$sql_cabe='select * from '.$docur->tabla.'1 where idnum1="'.$_POST['idnumx'].'"';
	$res_cabe=mysql_query($sql_cabe,$link_vcrx);
	
	$sql_dclie='select * from enti0 where enti_codigo ="'.mysql_result($res_cabe,0,'enti').'"';
	$res_dclie=mysql_query($sql_dclie,$link_vcrx);

	$sql_apuni='select * from docu0 where docu_codigo ="'.mysql_result($res_cabe,0,'docu').'"';
	$res_apuni=mysql_query($sql_apuni,$link_vcrx);

	$xcant=$_POST['cant'];
	$xpuni = $_POST['puni'];
	//$xdcto=$_POST['dcto'];
	//$xice=$_POST['ice'];
	//$xiva=$_POST['iva'];
	///$xirbp=$_POST['irbp'];
	$xapuni=mysql_result($res_apuni,0,'docu_apuni');
	

	$sql_pitem='select * from item0 where item_codigo="'.$_POST['item'].'"';
	$res_pitem=mysql_query($sql_pitem,$link_vcrx);

	//if ($xapuni==1)
	//{
	//	$xpuni = mysql_result($res_pitem,0,'item_puni');
	//	$xice = 0;
	//	$xiva = 0;
	//	$xirbp = 0;
	//}
	$xditem=mysql_result($res_pitem,0,'item_descri');
	
	if ($xcant==0)
	{$xcant=1;}

//	if ($xdcto==0)
//	{$xdcto=mysql_result($res_dclie,0,'enti_dcto');}

//	if(mb_stristr($xditem,'TRANS') && $xiva==0)
//	{$xdcto=0;}
	
	$sql_deta='insert into  '.$docur->tabla.'2 (
	idnum2,
	iddet,
	item,
	ctas,
	cant,
	puni,
	detalle
	)values(
	'.$_POST['idnumx'].',
	'.$idnum2.',
	"'.$_POST['item'].'",
	"'.$_POST['cuenta'].'",
	'.$xcant.',
	'.$xpuni.',
	"'.$_POST['detalle'].'"
	)';

}


if(mb_stristr('caja.bcos.retc.retp.cjte', strtolower($docur->tabla)))
{

	$sql_deta='insert into  '.$docur->tabla.'2 (
	idnum2,
	iddet,
	docum,
	ptoem,
	numer,
	cant,
	ctas,
	detalle
	)values(
	'.$_POST['idnumx'].',
	'.$idnum2.',
	"'.$_POST['docum'].'",
	"'.$_POST['ptoem'].'",
	"'.$_POST['numero'].'",
	'.$_POST['cant'].',
	"'.$_POST['cuenta'].'",
	"'.$_POST['detalle'].'"
	)';


}


// xmodif

if(mysql_query($sql_deta,$link_vcrx))
{
}
else
{
	
	echo mysql_error($link_vcrx);
	echo $sql_deta;
	//echo $idnum2;
}
//echo $sql_deta;
?>